Subject: bug#58578: 29.0.50; Font lock randomly breaks in some buffers and gets worse over time

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Oct 2022 11:20:01 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 17 Oct 2022 07:27:56 +0000
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Here is a screenshot from `notmuch-message-mode', based on
> > `message-mode':
> 
> For a while, I could reproduce the incorrect fontification in a
> `notmuch-message-mode' buffer after replying to an email.
> 
> Everything looks fine when I first create the buffer.  But when I move
> point to the end of some quoted line, and press RET (`newline'), there
> is incorrect fontification on the new line, and I see:
> 
>      There are text properties here:
>        face                 message-cited-text-1
>        fontified            t
> 
> (It looks like in the screenshot in the last email.)
> 
> If I go to the beginning of another line and press C-o (`open-line'), the
> fontification is correct, and there is no face property on the new line:
> 
>      There are text properties here:
>        fontified            t
> 
> Why would `newline' and `open-line' lead to different results?
> It seems very strange to me.
> 
> [time passes]
> 
> What is even stranger is that now, an hour or two later, I can no longer
> reproduce this behavior, not in the same session and not even in the same
> buffers as before.  The incorrect fontification only still remains on the same
> lines as before, however.
> 
> I did no particular changes that should affect this.  I was just sending emails
> and doing some unrelated ELisp coding.
> 
> Should I start looking at my timers here, or something?

Maybe.  Or maybe this is specific to notmuch-message-mode.

I would suggest to focus on more popular modes.